using Avalonia.Controls;

namespace Mlaumcherb.Client.Avalonia.зримое;

public partial class LogMessageView : UserControl
{
    public static ILogFormat ShortLogFormat = new DefaultLogFormat
    {
        TimeStampFormat = MyTimeFormat.TimeOnly,
        PrintContext = false
    }; 
    
    public LogMessageView()
    {
        throw new Exception();
    }

    public LogMessageView(LauncherLogger.LogMessage m)
    {
        InitializeComponent();
        ContentTextBox.Text = ShortLogFormat.CreateMessage(m.context, m.severity, m.message);
    }
}